Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.api
Class PlannerBenchmarkFactory

    java.lang.Object
      org.optaplanner.benchmark.api.PlannerBenchmarkFactory

Direct Known Subclasses:
  FreemarkerXmlPlannerBenchmarkFactory, XStreamXmlPlannerBenchmarkFactory

    public abstract class PlannerBenchmarkFactory

extends Object

Builds `PlannerBenchmark` instances.

Supports tweaking the configuration programmatically before a `PlannerBenchmark` instance is build.

Constructor Summary
`PlannerBenchmarkFactory()`

Method Summary
`abstract PlannerBenchmark` | `buildPlannerBenchmark()` Creates a new `PlannerBenchmark` instance.
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlFile(File templateFile)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlFile(File templateFile, Object model)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlInputStream(InputStream templateIn)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlInputStream(InputStream templateIn, Object model)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlReader(Reader templateReader)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlReader(Reader templateReader, Object model)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlResource(String templateResource)`
`static PlannerBenchmarkFactory` | `createFromFreemarkerXmlResource(String templateResource, Object model)`
`static PlannerBenchmarkFactory` | `createFromXmlFile(File benchmarkConfigFile)`
`static PlannerBenchmarkFactory` | `createFromXmlInputStream(InputStream in)`
`static PlannerBenchmarkFactory` | `createFromXmlReader(Reader reader)`
`static PlannerBenchmarkFactory` | `createFromXmlResource(String benchmarkConfigResource)`
`abstract PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()` Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlannerBenchmarkFactory

    public PlannerBenchmarkFactory()

Method Detail

### createFromXmlResource

    public static PlannerBenchmarkFactory createFromXmlResource(String benchmarkConfigResource)

  Parameters:
    `benchmarkConfigResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
  Returns:
    never null

### createFromXmlFile

    public static PlannerBenchmarkFactory createFromXmlFile(File benchmarkConfigFile)

  Parameters:
    `benchmarkConfigFile` - never null
  Returns:
    never null

### createFromXmlInputStream

    public static PlannerBenchmarkFactory createFromXmlInputStream(InputStream in)

  Parameters:
    `in` - never null, gets closed
  Returns:
    never null

### createFromXmlReader

    public static PlannerBenchmarkFactory createFromXmlReader(Reader reader)

  Parameters:
    `reader` - never null, gets closed
  Returns:
    never null

### createFromFreemarkerXmlResource

    public static PlannerBenchmarkFactory createFromFreemarkerXmlResource(String templateResource)

  Parameters:
    `templateResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
  Returns:
    never null

### createFromFreemarkerXmlResource

    public static PlannerBenchmarkFactory createFromFreemarkerXmlResource(String templateResource,
                                                                          Object model)

  Parameters:
    `templateResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
    `model` - sometimes null
  Returns:
    never null

### createFromFreemarkerXmlFile

    public static PlannerBenchmarkFactory createFromFreemarkerXmlFile(File templateFile)

  Parameters:
    `templateFile` - never null
  Returns:
    never null

### createFromFreemarkerXmlFile

    public static PlannerBenchmarkFactory createFromFreemarkerXmlFile(File templateFile,
                                                                      Object model)

  Parameters:
    `templateFile` - never null
    `model` - sometimes null
  Returns:
    never null

### createFromFreemarkerXmlInputStream

    public static PlannerBenchmarkFactory createFromFreemarkerXmlInputStream(InputStream templateIn)

  Parameters:
    `templateIn` - never null, gets closed
  Returns:
    never null

### createFromFreemarkerXmlInputStream

    public static PlannerBenchmarkFactory createFromFreemarkerXmlInputStream(InputStream templateIn,
                                                                             Object model)

  Parameters:
    `templateIn` - never null, gets closed
    `model` - sometimes null
  Returns:
    never null

### createFromFreemarkerXmlReader

    public static PlannerBenchmarkFactory createFromFreemarkerXmlReader(Reader templateReader)

  Parameters:
    `templateReader` - never null, gets closed
  Returns:
    never null

### createFromFreemarkerXmlReader

    public static PlannerBenchmarkFactory createFromFreemarkerXmlReader(Reader templateReader,
                                                                        Object model)

  Parameters:
    `templateReader` - never null, gets closed
    `model` - sometimes null
  Returns:
    never null

### getPlannerBenchmarkConfig

    public abstract PlannerBenchmarkConfig getPlannerBenchmarkConfig()

  Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

  Returns:
    never null

### buildPlannerBenchmark

    public abstract PlannerBenchmark buildPlannerBenchmark()

  Creates a new `PlannerBenchmark` instance.

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.